#ifndef PACKAGEMANAGEMENT_AURPACKAGE_H
#define PACKAGEMANAGEMENT_AURPACKAGE_H

#include "./package.h"

namespace RepoIndex {

class UserRepository;

class AurPackage : public Package
{
public:
    explicit AurPackage(const QJsonObject &aurJsonObject, UserRepository *repository);
    explicit AurPackage(const QString &name, UserRepository *repository);
    explicit AurPackage(UserRepository *repository);

    void putJson(const QJsonObject &aurJsonObject);
};

} // namespace PackageManagement

#endif // PACKAGEMANAGEMENT_AURPACKAGE_H
