{
    "alpm": {
        "rootDir": "/",
        "dbPath": "/var/lib/pacman",
        "pacmanConfigFile": "/etc/pacman.conf"
    },

    "cacheDir": ".",
    "storageDir": ".",

    "aur": {
        "enabled": true
    },

    "server": {
        "listeningPort": 1234,
        "certFile": "/run/media/martchus/files/programming/projects/c++/qmake/projects/repoindex/cert/test.crt",
        "keyFile": "/run/media/martchus/files/programming/projects/c++/qmake/projects/repoindex/cert/test.key",
        "insecure": false
    },

    "repos": {
        "localEnabled": true,
        "fromPacmanConfig": true,

        "add": [
            {"name": "ownstuff-testing",
            "ignored": true,
            "sourcesDir": "path/to/local/source/dir",
            "packagesDir": "/run/media/devel/repo/arch/ownstuff-testing/os/x86_64",
            "upgradeSources": ["aur"],
            "server": [
                "https://localhost/repo/arch/ownstuff-testing/os/x86_64"
            ],
            "maxAge": 3600
            },

            {"name": "ownstuff",
             "sourcesDir": "path/to/local/source/dir",
             "packagesDir": "/run/media/devel/repo/arch/ownstuff/os/x86_64",
             "upgradeSources": ["aur"],
             "server": [
                "https://localhost/repo/arch/ownstuff/os/x86_64"
             ],
             "maxAge": 3600
            },
            
            {"name": "local", "maxAge": 3600},
            {"name": "core", "maxAge": 28800},
            {"name": "extra", "maxAge": 28800},
            {"name": "community", "maxAge": 28800},
            {"name": "multilib", "maxAge": 28800},
            
            {"name": "kde-unstable",
             "server": [
                "https://ftp.fau.de/archlinux/kde-unstable/os/x86_64"
             ],
             "maxAge": 28800
            },
            
            {"name": "gnome-unstable",
             "ignored": true,
             "server": [
                "https://ftp.fau.de/archlinux/gnome-unstable/os/x86_64"
            ],
             "maxAge": 28800
            }
        ]      
    }
}

